%{?scl:%scl_package jackson-module-jaxb-annotations}
%{!?scl:%global pkg_name %{name}}

%global baserelease 4

Name:          %{?scl_prefix}jackson-module-jaxb-annotations
Version:       2.7.6
Release:       2.%{baserelease}%{?dist}
Summary:       JAXB annotations support for Jackson (2.x)
License:       ASL 2.0
URL:           http://wiki.fasterxml.com/JacksonJAXBAnnotations
Source0:       https://github.com/FasterXML/jackson-module-jaxb-annotations/archive/%{pkg_name}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix_maven}mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires:  %{?scl_prefix_maven}mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires:  %{?scl_prefix_maven}mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:  %{?scl_prefix_maven}mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires:  %{?scl_prefix_maven}mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  %{?scl_prefix}mvn(javax.ws.rs:javax.ws.rs-api)

BuildArch:     noarch

%description
Support for using JAXB annotations as an alternative to
"native" Jackson annotations, for configuring data binding.

%package javadoc
Summary:       Javadoc for %{pkg_name}

%description javadoc
This package contains javadoc for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}

cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE

# Use glassfish API
%pom_change_dep javax.ws.rs:jsr311-api javax.ws.rs:javax.ws.rs-api

# This is provided by modern JREs
%pom_remove_dep "javax.xml.bind:jaxb-api"

%mvn_file : %{pkg_name}
%{?scl:EOFSCL}


%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x

%mvn_build
%{?scl:EOFSCL}


%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}


%files -f .mfiles
%doc README.md release-notes/*
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Fri Jan 12 2018 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.4
- Remove unneeded dep on jaxb-api

* Thu Dec 07 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.3
- Rebuilt

* Tue Jun 13 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.2
- Switch to Glassfish javax.ws.rs API

* Tue Jun 13 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-2.1
- Auto SCL-ise package for rh-eclipse47 collection

* Tue Feb 07 2017 Michael Simacek <msimacek@redhat.com> - 2.7.6-2
- Regenerate BuildRequires

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- update to 2.7.6

* Fri Jun 24 2016 gil cattaneo <puntogil@libero.it> 2.6.7-1
- update to 2.6.7

* Thu May 26 2016 gil cattaneo <puntogil@libero.it> 2.6.6-1
- update to 2.6.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Oct 25 2015 gil cattaneo <puntogil@libero.it> 2.6.3-1
- update to 2.6.3

* Mon Sep 28 2015 gil cattaneo <puntogil@libero.it> 2.6.2-1
- update to 2.6.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 31 2015 gil cattaneo <puntogil@libero.it> 2.5.0-1
- update to 2.5.0

* Sat Sep 20 2014 gil cattaneo <puntogil@libero.it> 2.4.2-1
- update to 2.4.2

* Fri Jul 04 2014 gil cattaneo <puntogil@libero.it> 2.4.1-1
- update to 2.4.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.2-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 gil cattaneo <puntogil@libero.it> 2.2.2-2
- review fixes

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- 2.2.2
- renamed jackson-module-jaxb-annotations

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.2.1-1
- 2.2.1

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0
- renamed jackson2-module-jaxb-annotations

* Thu Sep 13 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
